Bug 980258

Summary: [abrt] clementine-1.1.1-1.fc18: boost::shared_ptr<MusicStorage>::operator->: Process /usr/bin/clementine was killed by signal 6 (SIGABRT)
Product: [Fedora] Fedora Reporter: alexandre <hiric.alexandre>
Component: clementineAssignee: Luis Bazan <bazanluis20>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: bazanluis20, jgrulich
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:c238928ac64cc5c5e213a63a2c8ce073e79271a8
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 17:02:01 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages
none
File: xsession_errors none

Description alexandre 2013-07-01 18:04:18 EDT
Description of problem:
I just try to delet one of the song of my play-list directly from clementine user interface. The song is on an other partition that the system partition and I need to mount this partition every time I boot. 

The problem hapen every time I try the manipulation.

Version-Release number of selected component:
clementine-1.1.1-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/clementine
core_backtrace: 
crash_function: boost::shared_ptr<MusicStorage>::operator->
executable:     /usr/bin/clementine
kernel:         3.9.6-200.fc18.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #5 boost::shared_ptr<MusicStorage>::operator-> at /usr/include/boost/smart_ptr/shared_ptr.hpp:424
 #6 operator-> at /usr/include/boost/smart_ptr/shared_ptr.hpp:424
 #8 DeleteFiles::ProcessSomeFiles at /usr/src/debug/clementine-1.1.1/src/core/deletefiles.cpp:108
 #9 QMetaObject::activate at kernel/qobject.cpp:3539
 #10 QThread::started at .moc/release-shared/moc_qthread.cpp:112
 #11 QThreadPrivate::start at thread/qthread_unix.cpp:335
Comment 1 alexandre 2013-07-01 18:04:36 EDT
Created attachment 767530 [details]
File: backtrace
Comment 2 alexandre 2013-07-01 18:04:44 EDT
Created attachment 767531 [details]
File: cgroup
Comment 3 alexandre 2013-07-01 18:05:00 EDT
Created attachment 767532 [details]
File: dso_list
Comment 4 alexandre 2013-07-01 18:05:03 EDT
Created attachment 767533 [details]
File: environ
Comment 5 alexandre 2013-07-01 18:05:06 EDT
Created attachment 767534 [details]
File: limits
Comment 6 alexandre 2013-07-01 18:05:09 EDT
Created attachment 767535 [details]
File: maps
Comment 7 alexandre 2013-07-01 18:05:12 EDT
Created attachment 767536 [details]
File: open_fds
Comment 8 alexandre 2013-07-01 18:05:14 EDT
Created attachment 767537 [details]
File: proc_pid_status
Comment 9 alexandre 2013-07-01 18:05:18 EDT
Created attachment 767538 [details]
File: var_log_messages
Comment 10 alexandre 2013-07-01 18:05:20 EDT
Created attachment 767539 [details]
File: xsession_errors
Comment 11 Fedora End Of Life 2013-12-21 09:12:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:02:01 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.